aboutsummaryrefslogtreecommitdiffstats
path: root/main/gawk/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-09-20 13:01:09 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-09-20 13:02:19 +0000
commit2702db2a9ba4bb1f2ef819ae61c791477748784f (patch)
treedc7fdfaec5296561ff80bbd973d9470b4d641cd4 /main/gawk/APKBUILD
parent5d990086ddb19bc28eb4a2d43c65f2d1bcdd739d (diff)
downloadaports-2702db2a9ba4bb1f2ef819ae61c791477748784f.tar.gz
aports-2702db2a9ba4bb1f2ef819ae61c791477748784f.tar.bz2
aports-2702db2a9ba4bb1f2ef819ae61c791477748784f.tar.xz
main/[various]: simple build fixes against musl (update_config_sub)
Diffstat (limited to 'main/gawk/APKBUILD')
-rw-r--r--main/gawk/APKBUILD9
1 files changed, 7 insertions, 2 deletions
diff --git a/main/gawk/APKBUILD b/main/gawk/APKBUILD
index d824436158..84e8f4497b 100644
--- a/main/gawk/APKBUILD
+++ b/main/gawk/APKBUILD
@@ -11,9 +11,14 @@ license="GPL"
subpackages="$pkgname-doc"
source="http://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz"
-build() {
- cd "$srcdir/$pkgname-$pkgver"
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
+build() {
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \